%define version 26.0.11
%define release 1

%define apache_serverroot /usr/share
%define apache_confdir /etc/httpd/conf.d
%define nc_dir  %{apache_serverroot}/nextcloud-src
%define nc_config_dir   %{nc_dir}/config
%define nc_data_dir     %{nc_dir}/data

%define nc_user www
%define nc_group www

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Summary: Nextcloud package
Name: nextcloud
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Source: https://download.nextcloud.com/server/releases/nextcloud-%{version}.tar.bz2
Source1: nextcloud.conf
BuildArch: noarch
URL: https://nextcloud.com/

BuildRequires: httpd

Requires: httpd
# Required php packages
Requires: php81
Requires: php81-php-fpm
Requires: php81-php-gd
Requires: php81-php-pdo
Requires: php81-php-mbstring
Requires: php81-php-pecl-zip
Requires: php81-php-imagick

# Recommended php packages
Requires: php81-php-intl
Requires: php81-php-mcrypt

# Required php packages for specific apps
Requires: php81-php-ldap

# Required php packages for MariaDB
Requires: php81-php-mysqlnd 
#rh-php71-php-pdo_mysql


%description
Nextcloud files and configuration.

This package installs as follows:
nc_dir:        %{nc_dir}
nc_data_dir:   %{nc_data_dir}
nc_config_dir: %{nc_config_dir}


%package src
Summary: Webtatic Repository
%description src
Nextcloud files and configuration.

This package installs as follows:
nc_dir:        %{nc_dir}
nc_data_dir:   %{nc_data_dir}
nc_config_dir: %{nc_config_dir}

%pre 

%postun

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{nc_data_dir}
mkdir -p %{buildroot}/usr/share/nextcloud-src
tar xf %{SOURCE0} -C %{buildroot}/usr/share/nextcloud-src --strip-components 1
#mv %{buildroot}/usr/share/nextcloud %{buildroot}/usr/share/nextcloud-src

mkdir -p %{buildroot}/%{nc_dir}
mkdir -p %{buildroot}/%{nc_dir}/etc
mkdir -p %{buildroot}/%{nc_data_dir}
mkdir -p %{buildroot}/%{nc_config_dir}
# mkdir -p %{buildroot}/%{nc_dir}/assets
mkdir -p %{buildroot}/%{nc_dir}/updater

mkdir -p %{buildroot}/etc/httpd/conf.d
cp %{SOURCE1} %{buildroot}/etc/httpd/conf.d


%files  src 
%defattr(0640,root,%{nc_group},0750)
%dir %attr(0775,root,%{nc_group}) %{nc_dir}
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/occ
%attr(0750,%{nc_user},%{nc_group}) %{nc_dir}/apps
# %attr(0750,%{nc_user},%{nc_group}) %{nc_dir}/assets
%attr(0750,%{nc_user},%{nc_group}) %{nc_dir}/updater
%attr(0775,%{nc_user},%{nc_group}) %{nc_data_dir}
%attr(0775,%{nc_user},%{nc_group}) %{nc_config_dir}
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/lib
#%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/ocm-provider
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/core
#%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/settings
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/3rdparty
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/resources
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/themes
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/ocs*
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/*.php
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/AUTHORS
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/COPYING
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/index.html
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/robots.txt
%attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/.htaccess
%attr(0755,%{nc_user},%{nc_group}) %{nc_dir}/dist

%attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/composer.json
%attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/composer.lock
%attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/package-lock.json
%attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/package.json

%config(noreplace) %attr(0644,%{nc_user},%{nc_group}) %{nc_dir}/.user.ini
%config(noreplace) %attr(0644,root,root) /etc/httpd/conf.d/nextcloud.conf

%defattr(0644,%{nc_user},%{nc_group},0755)


%changelog
* Sun Jan 28 2024 Jean-Philippe Pialasse <tests@pialasse.com> 26.0.11-1.sme
- update to release 26.0.11

* Fri Jul 08 2022 Jean-Philippe Pialasse <tests@pialasse.com> 24.0.2-3.sme
- removing pre and postun scripts 
- fix dist permissions

* Fri Jul 08 2022 Jean-Philippe Pialasse <tests@pialasse.com> 24.0.2-2.sme
- update to release 24.0.2
- make rpm a -src to avoid conflict between webupdates and rpm

* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 20.0.1-2.sme
- first import in SME10 [SME: 11086]
- update to release 20.0.1 

* Sun Dec 15 2019 Jean-Philipe Pialasse <tests@pialasse.com> 17.0.1-1.sme
- update to release 17.0.1

* Sun Sep 08 2019 Jean-Philipe Pialasse <tests@pialasse.com> 16.0.4-1.sme
- Update to release 16.0.4 [SME: 10803]

* Wed Mar 06 2019 Jean-Philipe Pialasse <tests@pialasse.com> 15.0.0-6.sme
- fix typo in postun script [SME: 10747]

* Tue Jan 08 2019 Jean-Philipe Pialasse <tests@pialasse.com> 15.0.0-5.sme
- remove conflicts nextcloud <15 to allow people to use the rpm update if they are 
  with manual updated version 14 with rpm version 13 [SME: 10696]

* Mon Jan 07 2019 Jean-Philipe Pialasse <tests@pialasse.com> 15.0.0-4.sme
- prevent rpm to upgrade if webupdate has been used [SME: 10670]
  and rpm version is < to on disk version
  or if rppm version is more than one major release greater

* Fri Dec 21 2018 Jean-Philipe Pialasse <tests@pialasse.com> 15.0.0-3.sme
- Update to release 15.0.0 [SME: 10669]

* Wed Dec 19 2018 Jean-Philipe Pialasse <tests@pialasse.com> 13.0.1-5.sme
- fix failure to update [SME: 10596]
  remove assets folder before 13.0.4  update

* Sat Apr 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 13.0.1-4.sme
- missing dependency for php71-php-pecl-zip [SME: 10554]

* Wed Mar 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 13.0.1-3.sme
- import for SME9 using remi scl

* Mon Mar 19 2018 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 13.0.1-1
- Update to release 13.0.1

* Tue Mar 06 2018 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 13.0.0-1
- Update to release 13.0.0

* Thu Jan 25 2018 Alessandro Polidori <alessandro.polidori@nethesis.it> - 12.0.5-1
- Update to release 12.0.5

* Mon Jan 15 2018 Alessandro Polidori <alessandro.polidori@nethesis.it> - 12.0.4-2
- Spec: remove "config" sign from .htaccess

* Thu Dec 14 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 12.0.4-1
- Update to release 12.0.4

* Wed Sep 27 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 12.0.3
- Update to release 12.0.3

* Tue Aug 29 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 12.0.2-2
- Avoid security warnings on python compiled files

* Wed Aug 23 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 12.0.2
- Update to release 12.0.2

* Wed May 24 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 12.0.0
- Update to release 12.0.0
- Fix spec warnings - Thanks to @mbevc1

* Wed May 17 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 11.0.3-2
- Fix WebDAV authentication - Thanks to Davide Principi

* Wed May 17 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 11.0.3
- Update to release 11.0.3

* Wed Mar 15 2017 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 11.0.2
- Update to release 11.0.2
- Move installation inside /usr/share/nextcloud
- Switch to php-fpm

* Thu Dec 15 2016 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 10.0.2
- Bump release: 10.0.2

* Mon Aug 01 2016 Giacomo Sanchietti <giacomo.sanchietti@nethesis.it> - 9.0.53-2
- First Nextcloud release - NethServer/dev#5055

